/* VARIABLES */
$main-color: #f5535e
$lighter-color: #f8868e
$non-heading-font: 'B612 Mono', monospace
$heading-font: 'Rubik Mono One', sans-serif


body
	height: 500px
	background-color: $main-color
	color: $lighter-color
	line-height: 2
	padding: 2em
	font-family: $non-heading-font

.container
	border: 3px solid $lighter-color
	padding: 2em

h2
	font-family: $heading-font

/* Comment 1  will not be added in compressed*/
/*! Comment 2  will be added in 'compressed'*/
// Comment 3 will not be reflected in style.css


/* MULTIPLE SELECTOR */
h1, h2
	margin-bottom: 1em


/* NESTED ELEMENTS */
ol
	li
		background-color: pink
ul
	li
		list-style-type: none

/* COMBINATORS */
h2 +
	p
		opacity: .5
		color: white

/* ATTRIBUTE SELECTORS */
[type="text"], textarea
	width: 100%

[type="button"]
	border: 3px solid $lighter-color

/* PARENT SELECTOR */
input,textarea
	border: 3px solid $lighter-color

	&:hover
		background-color: $lighter-color

	&:focus
		outline: none

[type="button"]
	&:hover
		background-color: $lighter-color
		padding: 10px 20px
	&:focus
		outline: none
// box-shadow: 0 0 0 0.2rem $lighter-color

// Difference of sass and css
// on sass - can declare variables



